hslua-packaging-2.1.0: Utilities to build Lua modules.

Copyright | © 2020-2022 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+hslua@zeitkraut.de>
Stability | alpha
Portability | Portable
Safe Haskell | None
Language | Haskell2010

HsLua.Packaging.Rendering

Contents

- Documentation

Description

Deprecated: Use getdocumentation with a custom renderer.

Render function and module documentation.

Synopsis

- render :: Module e -> Text
- renderModule :: Module e -> Text
- renderFunction :: DocumentedFunction e -> Text

# Documentation

render :: Module e -> Text #

Alias for `renderModule`.

renderModule :: Module e -> Text #

Renders module documentation as Markdown.

renderFunction #

Arguments

:: DocumentedFunction e | function
-> Text | function docs

Renders documentation of a function.